ArrayCData (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules.jffi
Class ArrayCData

    java.lang.Object
      org.python.core.PyObject
          org.python.modules.jffi.CData
              org.python.modules.jffi.ArrayCData

All Implemented Interfaces:
  Serializable, Pointer

    public class ArrayCData

extends CData
implements Pointer

See Also:
  Serialized Form

Nested Class Summary
`class` | `ArrayCData.ArrayIter`

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static PyType` | `TYPE`

Method Summary
`void` | `__delitem__(PyObject key)` Equivalent to the standard Python __delitem__ method.
`PyObject` | `__finditem__(int index)` A variant of the __finditem__ method which accepts a primitive `int` as the key.
`PyObject` | `__getitem__(PyObject index)` Equivalent to the standard Python __getitem__ method.
`PyObject` | `__iter__()` Return an iterator that is used to iterate the element of this sequence.
`void` | `__setitem__(int index, PyObject value)` A variant of the __setitem__ method which accepts a primitive `int` as the key.
`void` | `__setitem__(PyObject index, PyObject value)` Equivalent to the standard Python __setitem__ method.
`static PyObject` | `ArrayCData_new(PyNewWrapper new_, boolean init, PyType subtype, PyObject[] args, String[] keywords)`
`static PyObject` | `from_address(PyType subtype, PyObject address)`
`DirectMemory` | `getMemory()`

Methods inherited from class org.python.modules.jffi.CData
`address, byref, getContentMemory, getReferenceMemory, pointer`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final PyType TYPE

Method Detail

### ArrayCData_new

    public static PyObject ArrayCData_new(PyNewWrapper new_,
                                          boolean init,
                                          PyType subtype,
                                          PyObject[] args,
                                          String[] keywords)

### from_address

    public static final PyObject from_address(PyType subtype,
                                              PyObject address)

### getMemory

    public final DirectMemory getMemory()

  Specified by:
    `getMemory` in interface `Pointer`

### __finditem__

    public PyObject __finditem__(int index)

  Description copied from class: `PyObject`
  A variant of the __finditem__ method which accepts a primitive `int` as the key. By default, this method will call `__finditem__(PyObject key)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__finditem__` in class `PyObject`
  Parameters:
    `index` - the key to lookup in this sequence.
  Returns:
    the value corresponding to key or null if key is not found.
  See Also:
    `PyObject.__finditem__(PyObject)`

### __getitem__

    public PyObject __getitem__(PyObject index)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __getitem__ method. This method should not be overridden. Override the `__finditem__` method instead.

  Overrides:
    `__getitem__` in class `PyObject`
  Parameters:
    `index` - the key to lookup in this container.
  Returns:
    the value corresponding to that key.
  See Also:
    `PyObject.__finditem__(PyObject)`

### __setitem__

    public void __setitem__(int index,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setitem__ method which accepts a primitive `int` as the key. By default, this will call `__setitem__(PyObject key, PyObject value)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__setitem__` in class `PyObject`
  Parameters:
    `index` - the key whose value will be set
    `value` - the value to set this key to
  See Also:
    `PyObject.__setitem__(PyObject, PyObject)`

### __setitem__

    public void __setitem__(PyObject index,
                            PyObject value)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __setitem__ method.

  Overrides:
    `__setitem__` in class `PyObject`
  Parameters:
    `index` - the key whose value will be set
    `value` - the value to set this key to

### __delitem__

    public void __delitem__(PyObject key)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __delitem__ method.

  Overrides:
    `__delitem__` in class `PyObject`
  Parameters:
    `key` - the key to be removed from the container

### __iter__

    public PyObject __iter__()

  Description copied from class: `PyObject`
  Return an iterator that is used to iterate the element of this sequence. From version 2.2, this method is the primary protocol for looping over sequences.

  If a PyObject subclass should support iteration based in the __finditem__() method, it must supply an implementation of __iter__() like this:

       public PyObject __iter__() {
           return new PySequenceIter(this);
       }

  When iterating over a python sequence from java code, it should be done with code like this:

       for (PyObject item : seq.asIterable()) {
           // Do somting with item
       }

  Overrides:
    `__iter__` in class `PyObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage